#! @BASH@
#
echo 1..4 # Number of tests to be executed.
#
. ./cdoTestFunctions.test
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
IFILE1=$DATAPATH/ts_6h_1mon
IFILE2=$DATAPATH/ts_1d_1year
#
FORMAT="-f srv -b 32"
STATS="dayadd daysub daymul daydiv"
#
NTEST=1
#
for STAT in $STATS; do
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        RFILE=$DATAPATH/${STAT}_ref

        OFILE=${STAT}_res
        CDOTEST="$STAT"
        CDOCOMMAND="$CDO  $FORMAT ${STAT} $IFILE1 $IFILE2 $OFILE"
        TESTCOMMAND="$CDO  diff $OFILE $RFILE"

        runTest

        rm -f $OFILE
        (( NTEST+=1 ))
    fi
done
#
exit 0
